<!DOCTYPE html>
<html lang="en">

<head>
    <?php include 'partials/title-meta.php' ?>
    <?php include 'partials/head-css.php' ?>
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Abril+Fatface&display=swap');
        @import url('https://fonts.googleapis.com/css2?family=Abril+Fatface&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
    </style>
</head>
<body class="body1">

<?php include 'partials/preloader.php' ?>
<?php include 'partials/cursor.php' ?>
<?php include 'partials/progress.php' ?>

<?php include 'partials/sidebar.php' ?>
<?php include 'partials/navbar.php' ?>

<!--===== MAIN AREA STARTS =======-->
<div class="main-hero-area parallaxie">
            <div class="space24"></div>
    <div class="container">
        <div class="space50"></div>
        <div class="row">
            <div class="col-lg-4"><br>
                <div class="personal-contact-box" data-aos="fade-right" data-aos-duration="1000">
                    <div class="img1 image-anime reveal">
                        <img src="assets/img/all-images/hero/hero-img1.png" alt="">
                    </div>
                    <div class="space18"></div>
                    <h3>Hazangülü Collection</h3>
                    <div class="space8"></div><br>
                    <p> AYRICALIĞI BİRLİKTE YAŞAMAYA BEKLİYORUZ. </p>
                    <div class="space20"></div>
                    <div class="social-media">
                        <p class="section-title">SOSYAL MEDYA</p>
                    </div>
                    <div class="space10"></div>
                    <ul>
                        <li>
                            <a href="https://www.instagram.com/hazangulucollection?igsh=aTJjYXRldzRtMWNm&utm_source=qr" target="_blank">
                                <img src="assets/img/icons/s-icon2.svg" alt="">
                            </a>
                        </li>
                        <li>
                            <a href="https://www.facebook.com/share/15p2VEj5Ue/?mibextid=wwXIfr" target="_blank">
                                <img src="assets/img/icons/s-icon3.svg" alt="">
                            </a>
                        </li>
                        <li>
                            <a href="https://pin.it/4bmoNA8M3" class="m-0" target="_blank">
                                <img src="assets/img/icons/s-icon55.svg" alt="">
                            </a>
                        </li>
                    </ul>
                    <div class="contact-buttons-row">
                        <p class="section-title">İLETİŞİM</p>
                        <div class="contact-btn-box">
                            <a href="https://wa.me/905314279670" target="_blank" class="contact-btn">
                                <img src="assets/img/icons/s-icon11.svg" alt="WhatsApp"><span>Habip Ünsal<br>0531 427 96 70</span>
                            </a>
                        </div>

                        <div class="contact-btn-box">
                            <a href="https://wa.me/905325853209" target="_blank" class="contact-btn">
                                <img src="assets/img/icons/s-icon11.svg" alt="WhatsApp"><span>Murat Morca<br>0532 585 32 09</span>
                            </a>
                        </div>
                    </div>
                    <div class="location">
                        <p class="section-title">KONUM</p>
                    <div class="space10"></div>
                        <ul>
                            <li>
                        <a href="https://maps.app.goo.gl/zKXDLy1xVjRRrBbN8" target="_blank">
                            <img src="assets/img/icons/s-icon44.svg" alt="">
                        </a>
                            </li>
                        </ul>
                </div>
                    <div class="catalog-buttons contact-buttons-row">
                        <div class="contact-btn-box">
                            <a href="assets/img/all-images/hero/Hazangülü 2025 Catalog.pdf" target="_blank" class="contact-btn">
                                <span>E-KATALOG</span>
                            </a>
                        </div>
                        <div class="contact-btn-box">
                            <a href="https://hazangulu.com" target="_blank" class="contact-btn">
                                <span>WEB SİTEMİZ</span>
                            </a>
                        </div>
                    </div>
                    <div class="space30"></div>
                    <p>© 2025 PiArt's Yazılım. Tüm hakları saklıdır.</p>
                </div>
            </div>
            <div class="col-lg-8">
                <div data-bs-spy="scroll" data-bs-target="#list-example" data-bs-smooth-scroll="true" class="scrollspy-example" tabindex="0">
                    <!--===== HERO AREA STARTS =======-->
                    <div id="list-item-1">
                        <div class="hero-heading-area heading1">
                            <div class="space20"></div>
                            <h1 data-aos-duration="900">1975'TEN GÜNÜMÜZE</h1>
                            <h1 class="head" data-aos="fade-left" data-aos-duration="1000"><span id="dynamic-word">KALİTE</span></h1>
                            <div class="space24"></div>
                            <div class="space24"></div>
                            <p data-aos="fade-left" data-aos-duration="1100"> </p>
                            <div class="space32"></div>
                        </div>
                    </div>
                    <div class="col-lg-12">
                        <div class="space50"></div>
                    </div>
                </div>
            </div>
        </div>
        <!--===== CONTACT AREA ENDS =======-->
    </div>

</div>
<?php include 'partials/footer-scripts.php'; ?>
<!-- JS Dosyasını dahil et -->
<script src="js/main.js"></script>


</body>

</html>